[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.StretchDIBits

Copies a rectangular region from a DIB into an device context, shrinking or stretching it as required.

## Declaration

Source position: winapih.inc line 276

`public function TWidgetSet.StretchDIBits(`
`DC: HDC;`
`DestX: Integer;`
`DestY: Integer;`
`DestWidth: Integer;`
`DestHeight: Integer;`
`SrcX: Integer;`
`SrcY: Integer;`
`SrcWidth: Integer;`
`SrcHeight: Integer;`
`Bits: Pointer;`
`var BitsInfo: TBitmapInfo;`
`Usage: UINT;`
`Rop: DWORD`
`):Integer; virtual;`

## Arguments

`DC` |  | The destination Device Context.
`DestX` |  | The destination origin.
`DestY` |  | The destination origin.
`DestWidth` |  | The destination extent.
`DestHeight` |  | The destination extent.
`SrcX` |  | The source origin.
`SrcY` |  | The source origin.
`SrcWidth` |  | The source extent.
`SrcHeight` |  | The source extent.
`Bits` |  | The device independent bitmap bits.
`BitsInfo` |  | The bitmap info structure.
`Usage` |  | The color mode.
`Rop` |  | The raster operation.

## See also

TWidgetSet.StretchMaskBlt |  |
TWidgetSet.StretchBlt |  | Copies a rectangular region to a device context, shrinking or stretching it as needed.
TWidgetSet.StretchMaskBlt |  |